首页新闻招聘找找看知识库

Eclipse 从git导入maven多模块项目后Maven下的一些包显示为灰色

0
悬赏园豆:15 [已解决问题] 解决于 2018-11-09 20:36

使用Eclipse导入一个 maven多模块项目 后,项目不能正常运行。

导入过程参考:
https://blog.csdn.net/xiongyouqiang/article/details/78903975

maven install失败,run失败,查看Eclipse的Problems时发现很多错误。

检查子模块项目下的Maven Dependencies中的jar包时,发现某些是 灰色的:

请问要怎么解决这个问题呢?

各个jar包都来自自建的Maven仓库。

中英文网站搜索了好久,没有结果,求大神给点妙招呗?

期间还遇到了下面的错误:
[ERROR] No compiler is provided in this environment. Perhaps you are running on a JRE rather than a JDK?
更改后也没戏。

下面准备重新建项目了,,

补充,错误:

行者Ben的主页 行者Ben | 初学一级 | 园豆:197
提问于:2018-11-07 20:22
< >
分享
最佳答案
0

没有找到最佳答案,,
最后,自己重新按照git仓库的代码重建了项目,虽然库显示为灰色、Eclipse报错的问题还存在,但是,
可以 编译成功了,

行者Ben | 初学一级 |园豆:197 | 2018-11-09 20:35
其他回答(2)
0

window-->java-->installed JREs 重新安装一个jdk,jre包

收获园豆:8
番茄先生 | 园豆:773 (小虾三级) | 2018-11-08 08:37

谢谢!no compiler是这么解决的,其它问题解决不了,

支持(0) 反对(0) 行者Ben | 园豆:197 (初学一级) | 2018-11-08 16:14

@行者Ben: 我自己解决maven包得问题都是,将maven库中的有关错误得jar删掉,然后强制更新maven库,前提pom文件配置正确

支持(0) 反对(0) 番茄先生 | 园豆:773 (小虾三级) | 2018-11-08 16:29
0
收获园豆:7
ycyzharry | 园豆:12484 (专家六级) | 2018-11-08 10:56

谢谢。
已解决此问题。
重点是解决其它几个问题。

支持(0) 反对(0) 行者Ben | 园豆:197 (初学一级) | 2018-11-08 16:14
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册